Mail::Message::TransferEnc::Binary(3)

NAME
Mail::Message::TransferEnc::Binary - encode/decode binary message bodies

INHERITANCE
 Mail::Message::TransferEnc::Binary
   is a Mail::Message::TransferEnc
   is a Mail::Reporter

SYNOPSIS
 my Mail::Message $msg = ...;
 my $decoded = $msg->decoded;
 my $encoded = $msg->encode(transfer => 'binary');

DESCRIPTION
Encode or decode message bodies for binary transfer encoding. This is totally no encoding.

Extends "DESCRIPTION" in Mail::Message::TransferEnc.

METHODS
Extends "METHODS" in Mail::Message::TransferEnc.

DIAGNOSTICS

Error: Decoder for transfer encoding $type does not work: $@
    Compiling the required transfer encoding resulted in errors, which means that the decoder can not be used.

Warning: No decoder for transfer encoding $type.
    A decoder for the specified type of transfer encoding is not implemented.

Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

SEE ALSO
This module is part of Mail-Message distribution version 3.016, built on November 27, 2024. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2024 by [Mark Overmeer <markov@cpan.org>]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/